/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author willian
 */
@Embeddable
public class FornecePK implements Serializable {
    @Basic(optional = false)
    @Column(name = "Fornecedor_id")
    private int fornecedorid;
    @Basic(optional = false)
    @Column(name = "Produto_id")
    private int produtoid;

    public FornecePK() {
    }

    public FornecePK(int fornecedorid, int produtoid) {
        this.fornecedorid = fornecedorid;
        this.produtoid = produtoid;
    }

    public int getFornecedorid() {
        return fornecedorid;
    }

    public void setFornecedorid(int fornecedorid) {
        this.fornecedorid = fornecedorid;
    }

    public int getProdutoid() {
        return produtoid;
    }

    public void setProdutoid(int produtoid) {
        this.produtoid = produtoid;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) fornecedorid;
        hash += (int) produtoid;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof FornecePK)) {
            return false;
        }
        FornecePK other = (FornecePK) object;
        if (this.fornecedorid != other.fornecedorid) {
            return false;
        }
        if (this.produtoid != other.produtoid) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "modelo.FornecePK[fornecedorid=" + fornecedorid + ", produtoid=" + produtoid + "]";
    }

}
