/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package testes.modelo;

import modelo.Funcionario;
import modelo.controle.FuncionarioJpaController;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author willian
 */
public class FuncionarioTest {

    private FuncionarioJpaController fJpa;

    public FuncionarioTest() {
    }

    @BeforeClass
    public static void setUpClass() throws Exception {
    }

    @AfterClass
    public static void tearDownClass() throws Exception {
    }

    @Before
    public void setUp() {
        this.fJpa = new FuncionarioJpaController();
    }

    public FuncionarioJpaController getFJpa() {
        return this.fJpa;
    }

    @After
    public void tearDown() {
    }

    // TODO add test methods here.
    // The methods must be annotated with annotation @Test. For example:
    //
    // @Test
    // public void hello() {}


    @Test
    public void create() throws Exception {
        Funcionario funcionario = new Funcionario();
        funcionario.setNome("Willian Gigliotti");
        

        assertNull(funcionario.getId());        

        getFJpa().create(funcionario);

        assertNotNull(funcionario.getId());

    }

    @Test
    public void find() throws Exception {
        Funcionario funcionario = getFJpa().findFuncionario(new Integer(1));
        assertEquals(funcionario.getNome(), "Willian Gigliotti");
    }
}
