/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author willian
 */
@Embeddable
public class CompraPK implements Serializable {
    @Basic(optional = false)
    @Column(name = "pedidoCompra_id")
    private int pedidoCompraid;
    @Basic(optional = false)
    @Column(name = "produto_id")
    private int produtoId;

    public CompraPK() {
    }

    public CompraPK(int pedidoCompraid, int produtoId) {
        this.pedidoCompraid = pedidoCompraid;
        this.produtoId = produtoId;
    }

    public int getPedidoCompraid() {
        return pedidoCompraid;
    }

    public void setPedidoCompraid(int pedidoCompraid) {
        this.pedidoCompraid = pedidoCompraid;
    }

    public int getProdutoId() {
        return produtoId;
    }

    public void setProdutoId(int produtoId) {
        this.produtoId = produtoId;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) pedidoCompraid;
        hash += (int) produtoId;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof CompraPK)) {
            return false;
        }
        CompraPK other = (CompraPK) object;
        if (this.pedidoCompraid != other.pedidoCompraid) {
            return false;
        }
        if (this.produtoId != other.produtoId) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "modelo.CompraPK[pedidoCompraid=" + pedidoCompraid + ", produtoId=" + produtoId + "]";
    }

}
