/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author willian
 */
@Embeddable
public class VendaPK implements Serializable {
    @Basic(optional = false)
    @Column(name = "pedidoVenda_id")
    private int pedidoVendaid;
    @Basic(optional = false)
    @Column(name = "produto_id")
    private int produtoId;

    public VendaPK() {
    }

    public VendaPK(int pedidoVendaid, int produtoId) {
        this.pedidoVendaid = pedidoVendaid;
        this.produtoId = produtoId;
    }

    public int getPedidoVendaid() {
        return pedidoVendaid;
    }

    public void setPedidoVendaid(int pedidoVendaid) {
        this.pedidoVendaid = pedidoVendaid;
    }

    public int getProdutoId() {
        return produtoId;
    }

    public void setProdutoId(int produtoId) {
        this.produtoId = produtoId;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) pedidoVendaid;
        hash += (int) produtoId;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof VendaPK)) {
            return false;
        }
        VendaPK other = (VendaPK) object;
        if (this.pedidoVendaid != other.pedidoVendaid) {
            return false;
        }
        if (this.produtoId != other.produtoId) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "modelo.VendaPK[pedidoVendaid=" + pedidoVendaid + ", produtoId=" + produtoId + "]";
    }

}
